#!/bin/bash

# Loop until a successful network connection is made
until ping -c1 1.1.1.1 >/dev/null 2>&1; do
  echo "Waiting for network connection..."
  sleep 1
done

# Install OpenSSH server
apt update
apt install openssh-server -y

# Set SSH port to 2222
sed -i 's/#Port 22/Port 2222/' /etc/ssh/sshd_config

# Enable SSH service
systemctl enable ssh

# Create user "homey-pro" with password "pro" if it doesn't exist and set password to "pro" and force password change on first login
if ! id "homey-pro" >/dev/null 2>&1; then
    useradd -m homey-pro
    echo "homey-pro:pro" | chpasswd
    chage -d 0 homey-pro
    # Add "homey-pro" to the sudoers file
    echo "homey-pro ALL=(ALL) ALL" | tee -a /etc/sudoers
fi

# Restart SSH service
systemctl restart ssh

# Remove this script from rc.local to ensure it only runs once
sed -i '/ssh-setup.sh/d' /etc/rc.local
